# Class HomeButtonClickListener

java.lang.Object
HomeButtonClickListener

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class HomeButtonClickListener extends Object implements ActionListener
Listener pour les clics sur les boutons dans le menu. Il effectue différentes actions en fonction du bouton cliqué.

## Constructor Summary

Constructors
Constructor
Description
`HomeButtonClickListener(Window window)`
Construit un ButtonClickListener avec la fenêtre spécifiée.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Effectue une action en fonction du bouton cliqué.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HomeButtonClickListener

public HomeButtonClickListener(Window window)
Construit un ButtonClickListener avec la fenêtre spécifiée.

Parameters:
  `window` - La fenêtre où les actions seront effectuées.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Effectue une action en fonction du bouton cliqué.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - L'ActionEvent représentant le clic sur le bouton.